## samtools 0.1.7a~dfsg

=== Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2 #-m64 #-arch ppc
DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE -D_CURSES_LIB=1
LOBJS=		bgzf.o kstring.o bam_aux.o bam.o bam_import.o sam.o bam_index.o	\
			bam_pileup.o bam_lpileup.o bam_md.o glf.o razf.o faidx.o knetfile.o	\
			bam_sort.o sam_header.o
AOBJS=		bam_tview.o bam_maqcns.o bam_plcmd.o sam_view.o	\
			bam_rmdup.o bam_rmdupse.o bam_mate.o bam_stat.o bam_color.o	\
			bamtk.o kaln.o
PROG=		samtools
INCLUDES=
SUBDIRS=	. misc
LIBPATH=
LIBCURSES=	-lcurses # -lXCurses

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target || exit 1; \
			cd $$wdir; \
		done;

all:$(PROG)

lib:libbam.a

libbam.a:$(LOBJS)
		$(AR) -cru $@ $(LOBJS)

samtools:lib $(AOBJS)
		$(CC) $(CFLAGS) -o $@ $(AOBJS) -lm $(LIBPATH) $(LIBCURSES) -lz -L. -lbam

razip:razip.o razf.o knetfile.o
		$(CC) $(CFLAGS) -o $@ razf.o razip.o knetfile.o -lz

bgzip:bgzip.o bgzf.o
		$(CC) $(CFLAGS) -o $@ bgzf.o bgzip.o -lz

razip.o:razf.h
bam.o:bam.h razf.h bam_endian.h kstring.h sam_header.h
sam.o:sam.h bam.h
bam_import.o:bam.h kseq.h khash.h razf.h
bam_pileup.o:bam.h razf.h ksort.h
bam_plcmd.o:bam.h faidx.h bam_maqcns.h glf.h
bam_index.o:bam.h khash.h ksort.h razf.h bam_endian.h
bam_lpileup.o:bam.h ksort.h
bam_tview.o:bam.h faidx.h bam_maqcns.h
bam_maqcns.o:bam.h ksort.h bam_maqcns.h
bam_sort.o:bam.h ksort.h razf.h
bam_md.o:bam.h faidx.h
glf.o:glf.h
sam_header.o:sam_header.h khash.h

faidx.o:faidx.h razf.h khash.h
faidx_main.o:faidx.h razf.h

cleanlocal:
		rm -fr gmon.out *.o a.out *.dSYM razip $(PROG) *~ *.a

clean:cleanlocal-recur

=== misc/Makefile ===
CC=			gcc
CXX=		g++
CFLAGS=		-g -Wall -O2 -m64 #-arch ppc
CXXFLAGS=	$(CFLAGS)
DFLAGS=		-D_FILE_OFFSET_BITS=64
OBJS=		
PROG=		md5sum-lite md5fa maq2sam-short maq2sam-long wgsim
INCLUDES=	-I..
SUBDIRS=	.

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) $(INCLUDES) $< -o $@

all:$(PROG)

lib-recur all-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" $$target || exit 1; \
			cd $$wdir; \
		done;

lib:

wgsim:wgsim.o
		$(CC) $(CFLAGS) -o $@ wgsim.o -lm

md5fa:md5.o md5fa.o md5.h ../kseq.h
		$(CC) $(CFLAGS) -o $@ md5.o md5fa.o -lz

md5sum-lite:md5sum-lite.o
		$(CC) $(CFLAGS) -o $@ md5sum-lite.o

md5sum-lite.o:md5.c md5.h
		$(CC) -c $(CFLAGS) -DMD5SUM_MAIN -o $@ md5.c

maq2sam-short:maq2sam.c
		$(CC) $(CFLAGS) -o $@ maq2sam.c -lz

maq2sam-long:maq2sam.c
		$(CC) $(CFLAGS) -DMAQ_LONGREADS -o $@ maq2sam.c -lz

md5fa.o:md5.h md5fa.c
		$(CC) $(CFLAGS) -c -I.. -o $@ md5fa.c

cleanlocal:
		rm -fr gmon.out *.o a.out *.dSYM $(PROG) *~ *.a

clean:cleanlocal-recur

=== debian/changelog ===
samtools (0.1.7a~dfsg-1) unstable; urgency=low

  * New upstream release: new script sam2vcf.pl, and many other changes.
  * Package converted to the format ‘3.0 (quilt)’ (debian/source/format).
  * Wrote a manual page for razip (debian/razip.1).
  * Better clean the example directory to make the source package
    buildable twice in a row (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Nov 2009 21:38:24 +0900

samtools (0.1.6~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Upstream sources repackaged to remove the win32 directory:
    - The removal was done with git-import-orig in a parallel Git repository,
      and the corresponding debian/gbp.conf file was added to this package.
    - Mangled the ~dfsg string of the Debian version in debian/watch.
    - Added a debian/README.source file and explanations in debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Mon, 14 Sep 2009 21:58:36 +0900

samtools (0.1.5c-2) unstable; urgency=low

  * Rebuilt with -fPIC (debian/rules, README.Debian).
  * Small corrections to the description from upstream (debian/changelog).
  * Incremented Standards-Version to reflect conformance with Policy 3.8.3
    (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Sep 2009 19:29:40 +0900

samtools (0.1.5c-1) unstable; urgency=low

  * Initial release (Closes: #540453)

 -- Charles Plessy <plessy@debian.org>  Sun, 16 Aug 2009 14:38:20 +0900

=== debian/control ===
Source: samtools
Section: science
Priority: optional
Maintainer: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
DM-Upload-Allowed: yes
Uploaders: Charles Plessy <plessy@debian.org>
Build-Depends: debhelper (>= 7), cdbs, libncurses5-dev, zlib1g-dev
Standards-Version: 3.8.3
Homepage: http://samtools.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/samtools/trunk/?rev=0&sc=0
Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/samtools/trunk/

Package: samtools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: processing sequence alignments in SAM and BAM formats
 Samtools is a set of utilities that manipulate nucleotide sequence alignments
 in the binary BAM format. It imports from and exports to the ascii SAM
 (Sequence Alignment/Map) format, does sorting, merging and indexing, and allows
 to retrieve reads in any regions swiftly. It is designed to work on a stream,
 and is able to open a BAM (not SAM) file on a remote FTP or HTTP server.

Package: libbam-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: manipulates nucleotide sequence alignments in BAM or SAM format 
 The BAM library provides I/O and various operations on manipulating nucleotide
 sequence alignments in the BAM (Binary Alignment/Mapping) or SAM (Sequence
 Alignment/Map) format. It now supports importing from or exporting to SAM,
 sorting, merging, generating pileup, and quickly retrieval of reads overlapped
 with a specified region.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

CFLAGS += -fPIC

DEB_MAKE_BUILD_TARGET = all all-recur razip lib
DEB_MAKE_CHECK_TARGET = -C examples all

clean::
	$(RM) examples/calDepth examples/ex1.bam examples/ex1.bam.bai examples/ex1.fa.fai examples/ex1.glf examples/ex1.glfview.gz examples/ex1.pileup.gz examples/ex1a.bam examples/ex1b.bam examples/ex1f-rmduppe.bam examples/ex1f-rmdupse.bam examples/ex1f.bam examples/ex1f.rg

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg// \
  http://sf.net/samtools/samtools-([\d\.]*)\.tar\.bz2

## samtools 0.1.8

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 CC=			gcc
 CFLAGS=		-g -Wall -O2 #-m64 #-arch ppc
 DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE -D_CURSES_LIB=1
+KNETFILE_O=	knetfile.o
 LOBJS=		bgzf.o kstring.o bam_aux.o bam.o bam_import.o sam.o bam_index.o	\
-			bam_pileup.o bam_lpileup.o bam_md.o glf.o razf.o faidx.o knetfile.o	\
-			bam_sort.o sam_header.o
+			bam_pileup.o bam_lpileup.o bam_md.o glf.o razf.o faidx.o \
+			$(KNETFILE_O) bam_sort.o sam_header.o bam_reheader.o
 AOBJS=		bam_tview.o bam_maqcns.o bam_plcmd.o sam_view.o	\
 			bam_rmdup.o bam_rmdupse.o bam_mate.o bam_stat.o bam_color.o	\
 			bamtk.o kaln.o
@@ -30,19 +31,22 @@
 
 all:$(PROG)
 
+.PHONY:all lib clean cleanlocal
+.PHONY:all-recur lib-recur clean-recur cleanlocal-recur install-recur
+
 lib:libbam.a
 
 libbam.a:$(LOBJS)
 		$(AR) -cru $@ $(LOBJS)
 
-samtools:lib $(AOBJS)
-		$(CC) $(CFLAGS) -o $@ $(AOBJS) -lm $(LIBPATH) $(LIBCURSES) -lz -L. -lbam
+samtools:$(AOBJS) libbam.a
+		$(CC) $(CFLAGS) -o $@ $(AOBJS) libbam.a -lm $(LIBPATH) $(LIBCURSES) -lz
 
-razip:razip.o razf.o knetfile.o
-		$(CC) $(CFLAGS) -o $@ razf.o razip.o knetfile.o -lz
+razip:razip.o razf.o $(KNETFILE_O)
+		$(CC) $(CFLAGS) -o $@ razf.o razip.o $(KNETFILE_O) -lz
 
-bgzip:bgzip.o bgzf.o
-		$(CC) $(CFLAGS) -o $@ bgzf.o bgzip.o -lz
+bgzip:bgzip.o bgzf.o $(KNETFILE_O)
+		$(CC) $(CFLAGS) -o $@ bgzf.o bgzip.o $(KNETFILE_O) -lz
 
 razip.o:razf.h
 bam.o:bam.h razf.h bam_endian.h kstring.h sam_header.h
@@ -62,7 +66,23 @@
 faidx.o:faidx.h razf.h khash.h
 faidx_main.o:faidx.h razf.h
 
+
+libbam.1.dylib-local:$(LOBJS)
+		libtool -dynamic $(LOBJS) -o libbam.1.dylib -lc -lz
+
+libbam.so.1-local:$(LOBJS)
+		$(CC) -shared -Wl,-soname,libbam.so -o libbam.so.1 $(LOBJS) -lc -lz
+
+dylib:
+		@$(MAKE) cleanlocal; \
+		case `uname` in \
+			Linux) $(MAKE) CFLAGS="$(CFLAGS) -fPIC" libbam.so.1-local;; \
+			Darwin) $(MAKE) CFLAGS="$(CFLAGS) -fPIC" libbam.1.dylib-local;; \
+			*) echo 'Unknown OS';; \
+		esac
+
+
 cleanlocal:
-		rm -fr gmon.out *.o a.out *.dSYM razip $(PROG) *~ *.a
+		rm -fr gmon.out *.o a.out *.exe *.dSYM razip bgzip $(PROG) *~ *.a *.so.* *.so *.dylib
 
 clean:cleanlocal-recur

=== examples/Makefile ===
all:../libbam.a ../samtools ex1.glf ex1.pileup.gz ex1.bam.bai ex1f-rmduppe.bam ex1f-rmdupse.bam ex1.glfview.gz calDepth
		@echo; echo \# You can now launch the viewer with: \'samtools tview ex1.bam ex1.fa\'; echo;

ex1.fa.fai:ex1.fa
		../samtools faidx ex1.fa
ex1.bam:ex1.sam.gz ex1.fa.fai
		../samtools import ex1.fa.fai ex1.sam.gz ex1.bam
ex1.bam.bai:ex1.bam
		../samtools index ex1.bam
ex1.pileup.gz:ex1.bam ex1.fa
		../samtools pileup -cf ex1.fa ex1.bam | gzip > ex1.pileup.gz
ex1.glf:ex1.bam ex1.fa
		../samtools pileup -gf ex1.fa ex1.bam > ex1.glf
ex1.glfview.gz:ex1.glf
		../samtools glfview ex1.glf | gzip > ex1.glfview.gz
ex1a.bam:ex1.bam
		../samtools view -h ex1.bam | awk 'BEGIN{FS=OFS="\t"}{if(/^@/)print;else{$$1=$$1"a";print}}' | ../samtools view -bS - > $@
ex1b.bam:ex1.bam
		../samtools view -h ex1.bam | awk 'BEGIN{FS=OFS="\t"}{if(/^@/)print;else{$$1=$$1"b";print}}' | ../samtools view -bS - > $@
ex1f.rg:
		(echo "@RG	ID:ex1	LB:ex1"; echo "@RG	ID:ex1a	LB:ex1"; echo "@RG	ID:ex1b	LB:ex1b") > $@
ex1f.bam:ex1.bam ex1a.bam ex1b.bam ex1f.rg
		../samtools merge -rh ex1f.rg $@ ex1.bam ex1a.bam ex1b.bam
ex1f-rmduppe.bam:ex1f.bam
		../samtools rmdup ex1f.bam $@
ex1f-rmdupse.bam:ex1f.bam
		../samtools rmdup -S ex1f.bam $@

../samtools:
		(cd ..; make samtools)

../libbam.a:
		(cd ..; make libbam.a)

calDepth:../libbam.a calDepth.c
		gcc -g -Wall -O2 -I.. calDepth.c -o $@ -lm -lz -L.. -lbam

clean:
		rm -fr *.bam *.bai *.glf* *.fai *.pileup* *~ calDepth *.dSYM ex1*.rg

=== misc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 CC=			gcc
 CXX=		g++
-CFLAGS=		-g -Wall -O2 -m64 #-arch ppc
+CFLAGS=		-g -Wall #-O2 #-m64 #-arch ppc
 CXXFLAGS=	$(CFLAGS)
 DFLAGS=		-D_FILE_OFFSET_BITS=64
 OBJS=		
@@ -27,6 +27,9 @@
 
 lib:
 
+afs2:afs2.o
+		$(CC) $(CFLAGS) -o $@ afs2.o -lm -lz -L.. -lbam
+
 wgsim:wgsim.o
 		$(CC) $(CFLAGS) -o $@ wgsim.o -lm
 
@@ -48,7 +51,10 @@
 md5fa.o:md5.h md5fa.c
 		$(CC) $(CFLAGS) -c -I.. -o $@ md5fa.c
 
+afs2.o:afs2.c ../bam.h
+		$(CC) $(CFLAGS) -c -I.. -o $@ afs2.c
+
 cleanlocal:
-		rm -fr gmon.out *.o a.out *.dSYM $(PROG) *~ *.a
+		rm -fr gmon.out *.o a.out *.exe *.dSYM $(PROG) *~ *.a
 
 clean:cleanlocal-recur

=== debian/changelog ===
samtools (0.1.8-1) unstable; urgency=low

  * New upstream release.
  * Updated the VCS fields to the current Git repository (debian/control).
  * Install python scripts in usr/share/samtools, and suggest python
    (debian/samtools.install, debian/rules, debian/control).
  * Incremented Standards-Version to reflect conformance with Policy 3.9.0
    (debian/control, no changes needed).
  * Added notes on how the package is tested (debian/README.Debian).

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Jul 2010 14:08:59 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,19 @@
 Source: samtools
 Section: science
 Priority: optional
-Maintainer: Debian-Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, libncurses5-dev, zlib1g-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.9.0
 Homepage: http://samtools.sourceforge.net
-Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/samtools/trunk/?rev=0&sc=0
-Vcs-Svn: svn://svn.debian.org/svn/debian-med/trunk/packages/samtools/trunk/
+Vcs-Browser: http://git.debian.org/?p=debian-med/samtools.git
+Vcs-Git: git://git.debian.org/debian-med/samtools.git
 
 Package: samtools
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: python
 Description: processing sequence alignments in SAM and BAM formats
  Samtools is a set of utilities that manipulate nucleotide sequence alignments
  in the binary BAM format. It imports from and exports to the ascii SAM

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,6 @@
 
 clean::
 	$(RM) examples/calDepth examples/ex1.bam examples/ex1.bam.bai examples/ex1.fa.fai examples/ex1.glf examples/ex1.glfview.gz examples/ex1.pileup.gz examples/ex1a.bam examples/ex1b.bam examples/ex1f-rmduppe.bam examples/ex1f-rmdupse.bam examples/ex1f.bam examples/ex1f.rg
+
+binary-fixup/samtools::
+	sed -i 's|^#!/software/bin/python|#!/usr/bin/python|' $(CURDIR)/debian/samtools/usr/share/samtools/varfilter.py

## samtools 0.1.10

=== Makefile ===
--- 
+++ 
@@ -4,13 +4,13 @@
 KNETFILE_O=	knetfile.o
 LOBJS=		bgzf.o kstring.o bam_aux.o bam.o bam_import.o sam.o bam_index.o	\
 			bam_pileup.o bam_lpileup.o bam_md.o glf.o razf.o faidx.o \
-			$(KNETFILE_O) bam_sort.o sam_header.o bam_reheader.o
+			$(KNETFILE_O) bam_sort.o sam_header.o bam_reheader.o kprobaln.o
 AOBJS=		bam_tview.o bam_maqcns.o bam_plcmd.o sam_view.o	\
 			bam_rmdup.o bam_rmdupse.o bam_mate.o bam_stat.o bam_color.o	\
-			bamtk.o kaln.o
+			bamtk.o kaln.o bam2bcf.o bam2bcf_indel.o errmod.o sample.o
 PROG=		samtools
-INCLUDES=
-SUBDIRS=	. misc
+INCLUDES=	-I.
+SUBDIRS=	. bcftools misc
 LIBPATH=
 LIBCURSES=	-lcurses # -lXCurses
 
@@ -39,8 +39,8 @@
 libbam.a:$(LOBJS)
 		$(AR) -cru $@ $(LOBJS)
 
-samtools:$(AOBJS) libbam.a
-		$(CC) $(CFLAGS) -o $@ $(AOBJS) libbam.a -lm $(LIBPATH) $(LIBCURSES) -lz
+samtools:lib-recur $(AOBJS)
+		$(CC) $(CFLAGS) -o $@ $(AOBJS) libbam.a -lm $(LIBPATH) $(LIBCURSES) -lz -Lbcftools -lbcf
 
 razip:razip.o razf.o $(KNETFILE_O)
 		$(CC) $(CFLAGS) -o $@ razf.o razip.o $(KNETFILE_O) -lz
@@ -53,15 +53,19 @@
 sam.o:sam.h bam.h
 bam_import.o:bam.h kseq.h khash.h razf.h
 bam_pileup.o:bam.h razf.h ksort.h
-bam_plcmd.o:bam.h faidx.h bam_maqcns.h glf.h
+bam_plcmd.o:bam.h faidx.h bam_maqcns.h glf.h bcftools/bcf.h bam2bcf.h
 bam_index.o:bam.h khash.h ksort.h razf.h bam_endian.h
 bam_lpileup.o:bam.h ksort.h
 bam_tview.o:bam.h faidx.h bam_maqcns.h
-bam_maqcns.o:bam.h ksort.h bam_maqcns.h
+bam_maqcns.o:bam.h ksort.h bam_maqcns.h kaln.h
 bam_sort.o:bam.h ksort.h razf.h
 bam_md.o:bam.h faidx.h
 glf.o:glf.h
 sam_header.o:sam_header.h khash.h
+bcf.o:bcftools/bcf.h
+bam2bcf.o:bam2bcf.h errmod.h bcftools/bcf.h
+bam2bcf_indel.o:bam2bcf.h
+errmod.o:errmod.h
 
 faidx.o:faidx.h razf.h khash.h
 faidx_main.o:faidx.h razf.h

=== bcftools/Makefile ===
CC=			gcc
CFLAGS=		-g -Wall -O2 #-m64 #-arch ppc
DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE
LOBJS=		bcf.o vcf.o bcfutils.o prob1.o ld.o kfunc.o index.o fet.o bcf2qcall.o
OMISC=		..
AOBJS=		call1.o main.o $(OMISC)/kstring.o $(OMISC)/bgzf.o $(OMISC)/knetfile.o
PROG=		bcftools
INCLUDES=	
SUBDIRS=	.

.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(DFLAGS) -I.. $(INCLUDES) $< -o $@

all-recur lib-recur clean-recur cleanlocal-recur install-recur:
		@target=`echo $@ | sed s/-recur//`; \
		wdir=`pwd`; \
		list='$(SUBDIRS)'; for subdir in $$list; do \
			cd $$subdir; \
			$(MAKE) CC="$(CC)" DFLAGS="$(DFLAGS)" CFLAGS="$(CFLAGS)" \
				INCLUDES="$(INCLUDES)" LIBPATH="$(LIBPATH)" $$target || exit 1; \
			cd $$wdir; \
		done;

all:$(PROG)

lib:libbcf.a

libbcf.a:$(LOBJS)
		$(AR) -cru $@ $(LOBJS)

bcftools:lib $(AOBJS)
		$(CC) $(CFLAGS) -o $@ $(AOBJS) -lm $(LIBPATH) -lz -L. -lbcf

bcf.o:bcf.h
vcf.o:bcf.h
index.o:bcf.h
bcfutils.o:bcf.h
prob1.o:prob1.h bcf.h
call1.o:prob1.h bcf.h
bcf2qcall.o:bcf.h
main.o:bcf.h

bcf.pdf:bcf.tex
		pdflatex bcf

cleanlocal:
		rm -fr gmon.out *.o a.out *.dSYM $(PROG) *~ *.a bcf.aux bcf.log bcf.pdf *.class libbcf.*.dylib libbcf.so*

clean:cleanlocal-recur

=== debian/changelog ===
samtools (0.1.10-1) unstable; urgency=low

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Wed, 17 Nov 2010 20:32:40 +0900

samtools (0.1.9-1) unstable; urgency=low

  * New upstream release, and new program: bcftools.
  * debian/rules, debian/samtools.install: install bcftools, its manpage,
    and bcf-fix.pl and vcfutils.pl.
  * debian/samtools.examples, debian/rules: install and clean new examples.
  * Incremented Standards-Version to reflect conformance with Policy 3.9.1
    (debian/control, no changes needed).
  * Updated and reformatted debian/copyright according to latest DEP-5 draft.

 -- Charles Plessy <plessy@debian.org>  Mon, 01 Nov 2010 20:06:32 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, libncurses5-dev, zlib1g-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://samtools.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=debian-med/samtools.git
 Vcs-Git: git://git.debian.org/debian-med/samtools.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

CFLAGS += -fPIC

DEB_MAKE_BUILD_TARGET = all all-recur razip lib
DEB_MAKE_CHECK_TARGET = -C examples all

clean::
	$(RM) examples/calDepth examples/ex1.bam examples/ex1.bam.bai examples/ex1.fa.fai examples/ex1.glf examples/ex1.glfview.gz examples/ex1.pileup.gz examples/ex1a.bam examples/ex1b.bam examples/ex1f-rmduppe.bam examples/ex1f-rmdupse.bam examples/ex1f.bam examples/ex1f.rg examples/ex1.bcf

binary-install/samtools::
	install -m 644 bcftools/README $(CURDIR)/debian/samtools/usr/share/doc/samtools/README.bcftools
	ln -s samtools.1.gz $(CURDIR)/debian/samtools/usr/share/man/man1/bcftools.1.gz

binary-fixup/samtools::
	sed -i 's|^#!/software/bin/python|#!/usr/bin/python|' $(CURDIR)/debian/samtools/usr/share/samtools/varfilter.py

## samtools 0.1.12a

=== debian/changelog ===
samtools (0.1.12a-1~bpo60+1) squeeze-backports; urgency=low

  * Backported for Squeeze (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Thu, 17 Feb 2011 13:13:09 +0900

samtools (0.1.12a-1) unstable; urgency=low

  * New upstream release.
  * Use bzip2 compression for the binary packages (debian/rules).
  * Incremented debhelper compatibility level to 8, in case ‘--‘ is not
    available in earlier versions (debian/compat, debian/control).

 -- Charles Plessy <plessy@debian.org>  Fri, 03 Dec 2010 13:32:21 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, libncurses5-dev, zlib1g-dev
+Build-Depends: debhelper (>= 8), cdbs, libncurses5-dev, zlib1g-dev
 Standards-Version: 3.9.1
 Homepage: http://samtools.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=debian-med/samtools.git

## samtools 0.1.15

=== debian/changelog ===
samtools (0.1.15-1) unstable; urgency=low

  * New upstream release.
  * Incremented Standards-Version to reflect conformance with Policy 3.9.2
    (debian/control, no changes needed).
  * debian/watch directly interrogates and downloads froms SourceForge.

 -- Charles Plessy <plessy@debian.org>  Tue, 12 Apr 2011 19:44:41 +0900

samtools (0.1.14-1) unstable; urgency=low

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Tue, 29 Mar 2011 13:13:54 +0900

samtools (0.1.13-1) unstable; urgency=low

  * New upstream release:
    - backward incompatible with VCF/BCF generated by samtools older
      than r921 inclusive (0.1.12a is r862);
    - buildable with with ld --as-needed (Closes: #606004);
    - the helper tool bcf-fix.pl was removed.
  * Install the manual page of bcftools (debian/rules,
    debian/samtools.manpages). Closes: #616025.

 -- Charles Plessy <plessy@debian.org>  Wed, 02 Mar 2011 13:54:34 +0900

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,13 @@
 DEB_MAKE_BUILD_TARGET = all all-recur razip lib
 DEB_MAKE_CHECK_TARGET = -C examples all
 
+DEB_DH_BUILDDEB_ARGS = -- -Z=bzip2
+
 clean::
 	$(RM) examples/calDepth examples/ex1.bam examples/ex1.bam.bai examples/ex1.fa.fai examples/ex1.glf examples/ex1.glfview.gz examples/ex1.pileup.gz examples/ex1a.bam examples/ex1b.bam examples/ex1f-rmduppe.bam examples/ex1f-rmdupse.bam examples/ex1f.bam examples/ex1f.rg examples/ex1.bcf
 
 binary-install/samtools::
 	install -m 644 bcftools/README $(CURDIR)/debian/samtools/usr/share/doc/samtools/README.bcftools
-	ln -s samtools.1.gz $(CURDIR)/debian/samtools/usr/share/man/man1/bcftools.1.gz
 
 binary-fixup/samtools::
 	sed -i 's|^#!/software/bin/python|#!/usr/bin/python|' $(CURDIR)/debian/samtools/usr/share/samtools/varfilter.py

=== debian/watch ===
version=3
opts=downloadurlmangle=s|/download||,filenamemangle=s|http://sourceforge.net/projects/samtools/files/samtools/.+?/||;s|.download|| \
  http://sourceforge.net/projects/samtools/files/samtools/ \
  http://sourceforge.net/projects/samtools/files/samtools/.+?/samtools-(.*).tar.bz2/download

## samtools 0.1.16

=== debian/changelog ===
samtools (0.1.16-1) unstable; urgency=low

  * New upstream release, implementing SAM Spec v1.4.
  * Distribute sam.h and the other headers in /usr/include/samtools.
    Closes: #625622, #626044, LP: #690997.

 -- Charles Plessy <plessy@debian.org>  Thu, 19 May 2011 13:24:25 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>
 Build-Depends: debhelper (>= 8), cdbs, libncurses5-dev, zlib1g-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://samtools.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=debian-med/samtools.git
 Vcs-Git: git://git.debian.org/debian-med/samtools.git

## samtools 0.1.17

=== debian/changelog ===
samtools (0.1.17-1) unstable; urgency=low

  * New upstream release 0.1.17 (6 July, 2011).
  * bcftools.1 and samtools.1 merged (debian/rules, debian/samtools.manpages).
  * Patched the example makefile to not use samtools pileup, deprecated.
    (debian/control, debian/rules, debian/patches/series,
    debian/patches/no-pileup-tests.patch)

 -- Charles Plessy <plessy@debian.org>  Mon, 11 Jul 2011 21:04:30 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
 Uploaders: Charles Plessy <plessy@debian.org>
-Build-Depends: debhelper (>= 8), cdbs, libncurses5-dev, zlib1g-dev
+Build-Depends: debhelper (>= 8), cdbs, quilt, libncurses5-dev, zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://samtools.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=debian-med/samtools.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 CFLAGS += -fPIC
 
@@ -15,6 +16,7 @@
 
 binary-install/samtools::
 	install -m 644 bcftools/README $(CURDIR)/debian/samtools/usr/share/doc/samtools/README.bcftools
+	ln -s samtools.1.gz $(CURDIR)/debian/samtools/usr/share/man/man1/bcftools.1.gz
 
 binary-fixup/samtools::
 	sed -i 's|^#!/software/bin/python|#!/usr/bin/python|' $(CURDIR)/debian/samtools/usr/share/samtools/varfilter.py

## samtools 0.1.18

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
 CC=			gcc
 CFLAGS=		-g -Wall -O2 #-m64 #-arch ppc
-DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_USE_KNETFILE -D_CURSES_LIB=1
+DFLAGS=		-D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE -D_USE_KNETFILE -D_CURSES_LIB=1
 KNETFILE_O=	knetfile.o
 LOBJS=		bgzf.o kstring.o bam_aux.o bam.o bam_import.o sam.o bam_index.o	\
-			bam_pileup.o bam_lpileup.o bam_md.o glf.o razf.o faidx.o \
-			$(KNETFILE_O) bam_sort.o sam_header.o bam_reheader.o kprobaln.o
-AOBJS=		bam_tview.o bam_maqcns.o bam_plcmd.o sam_view.o	\
+			bam_pileup.o bam_lpileup.o bam_md.o razf.o faidx.o bedidx.o \
+			$(KNETFILE_O) bam_sort.o sam_header.o bam_reheader.o kprobaln.o bam_cat.o
+AOBJS=		bam_tview.o bam_plcmd.o sam_view.o	\
 			bam_rmdup.o bam_rmdupse.o bam_mate.o bam_stat.o bam_color.o	\
-			bamtk.o kaln.o bam2bcf.o bam2bcf_indel.o errmod.o sample.o
+			bamtk.o kaln.o bam2bcf.o bam2bcf_indel.o errmod.o sample.o \
+			cut_target.o phase.o bam2depth.o
 PROG=		samtools
 INCLUDES=	-I.
 SUBDIRS=	. bcftools misc
@@ -37,10 +38,10 @@
 lib:libbam.a
 
 libbam.a:$(LOBJS)
-		$(AR) -cru $@ $(LOBJS)
+		$(AR) -csru $@ $(LOBJS)
 
 samtools:lib-recur $(AOBJS)
-		$(CC) $(CFLAGS) -o $@ $(AOBJS) libbam.a -lm $(LIBPATH) $(LIBCURSES) -lz -Lbcftools -lbcf
+		$(CC) $(CFLAGS) -o $@ $(AOBJS) -Lbcftools $(LIBPATH) libbam.a -lbcf $(LIBCURSES) -lm -lz
 
 razip:razip.o razf.o $(KNETFILE_O)
 		$(CC) $(CFLAGS) -o $@ razf.o razip.o $(KNETFILE_O) -lz
@@ -53,19 +54,19 @@
 sam.o:sam.h bam.h
 bam_import.o:bam.h kseq.h khash.h razf.h
 bam_pileup.o:bam.h razf.h ksort.h
-bam_plcmd.o:bam.h faidx.h bam_maqcns.h glf.h bcftools/bcf.h bam2bcf.h
+bam_plcmd.o:bam.h faidx.h bcftools/bcf.h bam2bcf.h
 bam_index.o:bam.h khash.h ksort.h razf.h bam_endian.h
 bam_lpileup.o:bam.h ksort.h
-bam_tview.o:bam.h faidx.h bam_maqcns.h
-bam_maqcns.o:bam.h ksort.h bam_maqcns.h kaln.h
+bam_tview.o:bam.h faidx.h
 bam_sort.o:bam.h ksort.h razf.h
 bam_md.o:bam.h faidx.h
-glf.o:glf.h
 sam_header.o:sam_header.h khash.h
 bcf.o:bcftools/bcf.h
 bam2bcf.o:bam2bcf.h errmod.h bcftools/bcf.h
 bam2bcf_indel.o:bam2bcf.h
 errmod.o:errmod.h
+phase.o:bam.h khash.h ksort.h
+bamtk.o:bam.h
 
 faidx.o:faidx.h razf.h khash.h
 faidx_main.o:faidx.h razf.h

=== debian/changelog ===
samtools (0.1.18-4) unstable; urgency=low

    [Charles Plessy]
    debian/copyright: Normalised with config-model
    added bash completion
    Build-depend on Debhelper 9
    Pass build flaggs set by dpkg-buildflags via Debhelper
    Moved DOI and PubMed to the Reference namespace
    Do not compress the example binary alignment file
    Mention ‘SAMtools’ in libbam-dev's description

    [Andreas Tille]
    debian/upstream: replaced BibTeX entry

    [Dominique Belhachemi]
    added patch to fix float tag bug (upstream bug 71)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 21 Dec 2012 12:09:18 -0500

samtools (0.1.18-3) unstable; urgency=low

  * upload 0.1.18-2 closed the wrong bug, correction: 
  * added patch to fix segfault in mpileup (Closes: #653042)
  * added patch to fix coverage cap (Closes: #671524)

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 27 Jul 2012 11:11:41 -0400

samtools (0.1.18-2) unstable; urgency=low

  * added patch to fix segfault in mpileup (Closes: #544976)
  * added patch to fix coverage cap (Closes: #671524)

 -- Dominique Belhachemi <domibel@debian.org>  Thu, 26 Jul 2012 18:30:48 -0400

samtools (0.1.18-1) unstable; urgency=low

  [b990d9d3] New upstream release.
  [d59366b9] Updated copyright statements.
  [aa08abe5] Compress binary packages with xz.
  [9a36c994] Added a DEP 3 header to debian/patches/no-pileup-tests.patch.

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Sep 2011 16:52:04 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Charles Plessy <plessy@debian.org>
-Build-Depends: debhelper (>= 8), cdbs, quilt, libncurses5-dev, zlib1g-dev
+Uploaders: Charles Plessy <plessy@debian.org>, Dominique Belhachemi <domibel@debian.org>
+Build-Depends: debhelper (>= 9), bash-completion, cdbs, quilt, libncurses5-dev, zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://samtools.sourceforge.net
 Vcs-Browser: http://git.debian.org/?p=debian-med/samtools.git
@@ -30,4 +30,6 @@
  sequence alignments in the BAM (Binary Alignment/Mapping) or SAM (Sequence
  Alignment/Map) format. It now supports importing from or exporting to SAM,
  sorting, merging, generating pileup, and quickly retrieval of reads overlapped
- with a specified region. 
+ with a specified region.
+ .
+ This library is part of SAMtools.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,8 @@
 DEB_MAKE_BUILD_TARGET = all all-recur razip lib
 DEB_MAKE_CHECK_TARGET = -C examples all
 
-DEB_DH_BUILDDEB_ARGS = -- -Z=bzip2
+DEB_COMPRESS_EXCLUDE = .bam
+DEB_DH_BUILDDEB_ARGS = -- -Z=xz
 
 clean::
 	$(RM) examples/calDepth examples/ex1.bam examples/ex1.bam.bai examples/ex1.fa.fai examples/ex1.glf examples/ex1.glfview.gz examples/ex1.pileup.gz examples/ex1a.bam examples/ex1b.bam examples/ex1f-rmduppe.bam examples/ex1f-rmdupse.bam examples/ex1f.bam examples/ex1f.rg examples/ex1.bcf
@@ -17,6 +18,7 @@
 binary-install/samtools::
 	install -m 644 bcftools/README $(CURDIR)/debian/samtools/usr/share/doc/samtools/README.bcftools
 	ln -s samtools.1.gz $(CURDIR)/debian/samtools/usr/share/man/man1/bcftools.1.gz
+	dh_bash-completion
 
 binary-fixup/samtools::
 	sed -i 's|^#!/software/bin/python|#!/usr/bin/python|' $(CURDIR)/debian/samtools/usr/share/samtools/varfilter.py

## samtools 0.1.19

=== misc/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 CC=			gcc
 CXX=		g++
-CFLAGS=		-g -Wall #-O2 #-m64 #-arch ppc
+CFLAGS=		-g -Wall -O2 #-m64 #-arch ppc
 CXXFLAGS=	$(CFLAGS)
 DFLAGS=		-D_FILE_OFFSET_BITS=64
 OBJS=		
-PROG=		md5sum-lite md5fa maq2sam-short maq2sam-long wgsim
+PROG=		md5sum-lite md5fa maq2sam-short maq2sam-long ace2sam wgsim bamcheck
 INCLUDES=	-I..
 SUBDIRS=	.
 
@@ -27,11 +27,17 @@
 
 lib:
 
-afs2:afs2.o
-		$(CC) $(CFLAGS) -o $@ afs2.o -lm -lz -L.. -lbam
+bamcheck:bamcheck.o
+		$(CC) $(CFLAGS) -o $@ bamcheck.o -L.. -lm -lbam -lpthread -lz
+
+bamcheck.o:bamcheck.c ../faidx.h ../khash.h ../sam.h ../razf.h
+		$(CC) $(CFLAGS) -c -I.. -o $@ bamcheck.c
+
+ace2sam:ace2sam.o
+		$(CC) $(CFLAGS) -o $@ ace2sam.o -lz
 
 wgsim:wgsim.o
-		$(CC) $(CFLAGS) -o $@ wgsim.o -lm
+		$(CC) $(CFLAGS) -o $@ wgsim.o -lm -lz
 
 md5fa:md5.o md5fa.o md5.h ../kseq.h
 		$(CC) $(CFLAGS) -o $@ md5.o md5fa.o -lz
@@ -51,8 +57,11 @@
 md5fa.o:md5.h md5fa.c
 		$(CC) $(CFLAGS) -c -I.. -o $@ md5fa.c
 
-afs2.o:afs2.c ../bam.h
-		$(CC) $(CFLAGS) -c -I.. -o $@ afs2.c
+wgsim.o:wgsim.c ../kseq.h
+		$(CC) $(CFLAGS) -c -I.. -o $@ wgsim.c
+
+ace2sam.o:ace2sam.c ../kstring.h ../kseq.h
+		$(CC) $(CFLAGS) -c -I.. -o $@ ace2sam.c
 
 cleanlocal:
 		rm -fr gmon.out *.o a.out *.exe *.dSYM $(PROG) *~ *.a

=== debian/changelog ===
samtools (0.1.19-1ubuntu1) utopic; urgency=medium

  * Apply alignment and endian patches. Closes: #753485.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Sep 2014 18:40:49 +0200

samtools (0.1.19-1) unstable; urgency=low

  cb9bd50 Imported https://github.com/samtools/samtools/archive/0.1.19.tar.gz
  1e6d442 new tools ace2sam, bamcheck, plot-bamcheck, r2plot.lua, vcfutils.lua.
  2f2d5c5 debian/copyright: collapsed copyright notices from main holders.
  e194f9e Removed fix_float_tag.patch, corrected upstream.
  9c0e543 Refreshed patches.
  3e7e0ec Renamed no-pileup-tests.patch fix_example_makefile.patch.
  8d8550e example/Makefile: pass -lpthread when compiling calDepth.
  fc32243 harden by concatenating Debian's LDFLAGS and CPPFLAGS in CFLAGS.
  6f75b48 debian/control: normalised with cme.
  e13bb5e debian/control: normalised VCS URLs.
  a1b1b00 debian/control: deleted DM-Upload-Allowed field.
  ddcd54e Use NEWS as upstream changelog.
  81ad760 Conforms to Policy version 3.9.4.

 -- Charles Plessy <plessy@debian.org>  Sat, 30 Mar 2013 17:31:47 +0900

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,14 @@
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
-CFLAGS += -fPIC
+CFLAGS += -fPIC $(LDFLAGS) $(CPPFLAGS)
 
 DEB_MAKE_BUILD_TARGET = all all-recur razip lib
 DEB_MAKE_CHECK_TARGET = -C examples all
 
 DEB_COMPRESS_EXCLUDE = .bam
 DEB_DH_BUILDDEB_ARGS = -- -Z=xz
-
+DEB_INSTALL_CHANGELOGS_ALL = NEWS
 clean::
 	$(RM) examples/calDepth examples/ex1.bam examples/ex1.bam.bai examples/ex1.fa.fai examples/ex1.glf examples/ex1.glfview.gz examples/ex1.pileup.gz examples/ex1a.bam examples/ex1b.bam examples/ex1f-rmduppe.bam examples/ex1f-rmdupse.bam examples/ex1f.bam examples/ex1f.rg examples/ex1.bcf

=== debian/watch ===
version=3
https://github.com/samtools/samtools/tags .*/v?(\d[\d\.]+)\.tar\.gz
